#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	falkon
Version		:	24.08.2
Release		:	17.2.0.rel%{?dist}
Summary		:	KDE web browser using the QtWebEngine rendering engine.
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://www.falkon.org/
			#https://download.kde.org/stable/release-service/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	desktop-file-utils
BuildRequires	:	extra-cmake-modules
BuildRequires	:	fdk-aac
BuildRequires	:	libgnome-keyring
BuildRequires	:	gcc-c++
BuildRequires	:	kf6-karchive-devel
BuildRequires	:	kf6-ki18n-devel
BuildRequires	:	kf6-kcoreaddons-devel
BuildRequires	:	kf6-kwallet-devel
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	qt6-qt5compat-devel
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qtpositioning-devel
BuildRequires	:	qt6-qtmultimedia-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtsvg-devel
BuildRequires	:	qt6-qtwebengine-devel
BuildRequires	:	qt6-qtwebchannel-devel
BuildRequires	:	openssl-devel
BuildRequires	:	xcb-util

Requires	:	icu
Requires	:	libqtxdg
Requires	:	mesa-libGL
Requires	:	mesa-libEGL
Requires	:	fdk-aac

#-----------------------------------------------------------------------------
%description
Falkon is a KDE web browser using the QtWebEngine rendering engine.
It was previously known as QupZilla. It aims to be a lightweight
web browser available through all major platforms. 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README.md
%license COPYING
%{_kf6_bindir}/falkon
%{_kf6_libdir}/libFalkonPrivate.so.*
%{_kf6_qtplugindir}/falkon/AutoScroll.so
%{_kf6_qtplugindir}/falkon/FlashCookieManager.so
%{_kf6_qtplugindir}/falkon/GreaseMonkey.so
%{_kf6_qtplugindir}/falkon/MouseGestures.so
%{_kf6_qtplugindir}/falkon/PIM.so
%{_kf6_qtplugindir}/falkon/StatusBarIcons.so
%{_kf6_qtplugindir}/falkon/TabManager.so
%{_kf6_qtplugindir}/falkon/VerticalTabs.so
%{_kf6_datadir}/icons/hicolor/
%{_kf6_datadir}/%{name}/themes/
%{_kf6_datadir}/bash-completion/completions/%{name}
%{_kf6_datadir}/applications/org.kde.falkon.desktop
%{_kf6_datadir}/metainfo/org.kde.falkon.appdata.xml

#-----------------------------------------------------------------------------
%post
update-desktop-database 

#=============================================================================
%package		gnome-keyring
Summary		:	gnome-keyring plugin for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		gnome-keyring
gnome-keyring plugin for %{name}

#-----------------------------------------------------------------------------
%files			gnome-keyring
%defattr(-,root,root,-)
%{_kf6_qtplugindir}/falkon/GnomeKeyringPasswords.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D CMAKE_BUILD_TYPE=Release 			\
	-D BUILD_KEYRING=ON 				\
	-D BUILD_TESTING=ON				\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

# translations (find_lang_kf6 does not support --all-name, so adapt it)
find							\
	%{buildroot}/%{_datadir}/locale/		\
	 -name "*.qm"					\
	-type f 			|		\
	 sed						\
	   -e 's:%{buildroot}/::;s:%{_datadir}/locale/\([a-zA-Z_\@]*\)/LC_MESSAGES/\([^/]*\.qm\):%lang(\1) %{_datadir}/locale/\1/LC_MESSAGES/\2:' \
	 > %{name}.lang

find							\
	%{buildroot}/%{_datadir}/locale/		\
	-name "*.mo"					\
	-type f				|		\
	sed						\
	  -e 's:%{buildroot}/::;s:%{_datadir}/locale/\([a-zA-Z_\@]*\)/LC_MESSAGES/\([^/]*\.mo\):%lang(\1) %{_datadir}/locale/\1/LC_MESSAGES/\2:' \
	>>%{name}.lang

#-----------------------------------------------------------------------------
%changelog
